Kerbal Space Program - Bug #23687

VAB Duplicate Part Memory Leak
09/22/2019 10:56 AM - fwyrl

Status: Not Fixed Start date: 09/22/2019
Severity: Low % Done: 50%
Assignee:

Category: Application

Target version: 1.8.0

Version: 1.7.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

Using the VAB as regular to edit large craft results in a large memory leak, requiring a full restart of the game every 30 minutes or so
if I'm working quickly. | believe I've tracked down at least part of the issue to the part duplication function.

Replication:

1. Build a large craft

2. Use the mod-+left click key to duplicate most of it

3. Throw it in the part pane (delete it)

4. Do this a few more times, and the RAM usage will skyrocket

Notes:

e The Private Memory values listed here were obtained via Process Hacker 2, as the Windows Task Manager's RAM reporting is

frequently incomplete.

I did not test this with the Spaceplane Hanger.

This is not cleared by simply exiting to the main menu. A full closure of the game is required to fix this.
On Game Launch, I'm using 2.92 GB private memory for KSP.

The ingame memory reading under "performance" in the debug console does not show these RAM changes nearly as bad as

they are (Private memory went from 2.97 GB to 4.59 GB, and ingame reserved went from 1246 mb to 1440 mb (both taken in
the main menu, with the second one being after | preformed the glitch and left for the main menu)

Workaround:
None found.

OS: Windows 10, version 1809
RAM: 16 GB, x64
CPU: AMD Ryzen 5 2400G (Radeon Vega Graphics)

Simply entering a save and returning from it increases Private Bytes to 3.26 GB in the main menu (again, does not effect the
ingame memory reporting, and does not stack, fortunately).

History

#1 - 09/23/2019 03:47 AM - Anonymous
- File confirm20740.craft added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#2 - 09/23/2019 03:48 AM - Anonymous
- File deleted (confirm20740.craft)

#3 - 10/17/2019 07:08 PM - victorr
- File Copying huge ship.png added
- Status changed from Confirmed to Ready to Test

- Target version set to 1.8.0
- % Done changed from 10 to 80
We've made some changes in the latest version and would like some feedback on this issue.

#4 - 10/19/2019 09:44 PM - Anth12
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

No. | can still get the memory to climb by doing this in the VAB or the SPH,
Also a side effect is then when exiting the game in 1.8.0 it can take quite sometime to correctly end the game application

Files

Copying huge ship.png 2.56 MB 10/17/2019 victorr
